Opened 12 years ago

Closed 12 years ago

Last modified 10 years ago

#16 closed defect (fixed)

Timestamps changed wrongly during copy to share

Reported by: guest Owned by: psmedley
Priority: critical Milestone: Samba Server for eCS (OS/2) 1.0
Component: Samba Server Version: 3.0.25b
Keywords: Cc: herwig.bauernfeind@…

Description

The date/time stamps are changed wrongly, when a file is copied from local drive to a share. The following example demostrates the problem:

Original timestamps of a given file:
testfile.txt File creation time:          2007-03-01 07:41:38
             File last access time:       2007-06-27 08:13:34
             File last update time:       2007-06-19 15:21:28

xcopy to Peer via LAN-Requester does not change these timestamps during copy, as the target file has still the same after the copy
operation:
testfile_LAN.txt File creation time:      2007-03-01 07:41:38
                 File last access time:   2007-06-27 08:13:34
                 File last update time:   2007-06-19 15:21:28

xcopy to Samba via Netdrive however changes these timestamps:
testfile_SMB.txt File creation time:      2007-06-19 15:21:28 (wrong)
testfile_SMB.txt File last access time:   2007-06-19 15:21:28 (wrong)
testfile_SMB.txt File last update time:   2007-06-19 15:21:28 (right)

Change History (4)

comment:1 Changed 12 years ago by psmedley

Vitali thinks this may be a Netdrive problem that he's recently fixed.

comment:2 Changed 12 years ago by psmedley

  • Resolution set to fixed
  • Status changed from new to closed

OK I see an obvious explanation for this in the source - should be fixed in ftp://ftp.netlabs.org/incoming/ndpsmb-3.0.25b-20070802.ZIP

comment:3 Changed 10 years ago by herwigb

  • Milestone set to Samba Server for eCS (OS/2) 1.0

comment:4 Changed 10 years ago by herwigb

  • Version set to 3.0.25b
Note: See TracTickets for help on using tickets.